# It's extremely hard (lots of dependencies) to package weld, so just including binaries here
%global pkg_version 3.1.9
%global weld_version %{pkg_version}.Final

%global _maven_metadata_dir /usr/share/maven-metadata

Name:		weld-se-shaded
Version:	%{pkg_version}
Release:	0.1%{?dist}
Summary:	Weld SE (Uber Jar)
License:	ASL 2.0
URL:		https://weld.cdi-spec.org
SOURCE0:	https://repo1.maven.org/maven2/org/jboss/weld/se/weld-se-shaded/%{weld_version}/weld-se-shaded-%{weld_version}.pom
SOURCE1:	https://repo1.maven.org/maven2/org/jboss/weld/se/weld-se-shaded/%{weld_version}/weld-se-shaded-%{weld_version}.jar
SOURCE2:	weld-se-shaded.xml
SOURCE3:	https://www.apache.org/licenses/LICENSE-2.0.txt

BuildArch:	noarch

BuildRequires:	java-11-openjdk-devel

Provides:	mvn(org.jboss.weld.se:weld-se-shaded) = %{weld_version}
Provides:	mvn(org.jboss.weld.se:weld-se-shaded:pom:) = %{weld_version}

Requires:	(java-headless or java-11-headless)
Requires:	javapackages-filesystem

%description
%{name} bundles all the bits of Weld and CDI required for Java SE.


%install
mkdir -p %{buildroot}%{_mavenpomdir}/%{name}
cp -p %{SOURCE0} %{buildroot}%{_mavenpomdir}/%{name}/%{name}.pom
mkdir -p %{buildroot}%{_javadir}/%{name}
cp -p %{SOURCE1} %{buildroot}%{_javadir}/%{name}/%{name}.jar
mkdir -p %{buildroot}%{_maven_metadata_dir}
cp -p %{SOURCE2} %{buildroot}%{_maven_metadata_dir}/%{name}.xml

cp %{SOURCE3} LICENSE

%files
%license LICENSE
%{_mavenpomdir}/%{name}/%{name}.pom
%{_javadir}/%{name}/%{name}.jar
%{_maven_metadata_dir}/%{name}.xml


%changelog
* Sun Mar 6 2022 Martin Perina <mperina@redhat.com> - 3.1.9-0.1
- Bump to upstream release 3.1.9.Final

* Mon Feb 14 2022 Martin Perina <mperina@redhat.com> - 3.1.8-0.5
- Don't use package subdirectory for maven metadata

* Mon Feb 14 2022 Martin Perina <mperina@redhat.com> - 3.1.8-0.4
- Use complete maven version in Provides section

* Mon Feb 14 2022 Martin Perina <mperina@redhat.com> - 3.1.8-0.3
- Update Requires section to align with package built by maven-local

* Mon Feb 14 2022 Martin Perina <mperina@redhat.com> - 3.1.8-0.2
- Update Provides section so the package can be used with xmvn build

* Sun Feb 13 2022 Martin Perina <mperina@redhat.com> - 3.1.8-0.1
- Initial RPM release
- Just bundled JAR due to high number of build dependencies

